Uptimeify Docs

TCP Monitor Alert-Historie abrufen

Gibt paginierte Benachrichtigungs-/Eskalationsversuche (Alert-Historie) für Vorfälle eines TCP Monitors zurück.

GET /api/tcp-monitors/:tcpMonitorPublicId/alert-history

Authentifizierung

Erfordert eine gültige Session.

  • Header: Authorization: Bearer <token>

Parameter

  • tcpMonitorPublicId (Pfad, erforderlich): Öffentliche UUID des TCP Monitors.

Query Parameter

  • page (number, optional): Seite (Default: 1).
  • limit (number, optional): Einträge pro Seite (Default: 25; Max 100). Wird bei format=csv oder download=1 durch die Export-Defaults ersetzt (Default 10000, Max 50000).
  • status (string, optional): sent oder failed.
  • from / to (ISO-Datumsstring, optional): Filter nach sentAt-Bereich.
  • format (string, optional): json (Default) oder csv.
  • download (string, optional): 1 erzwingt einen Attachment-Download.

Beispiel (cURL)

BASE_URL="https://uptimeify.io"
TOKEN="<dein-api-token>"

curl -X GET "$BASE_URL/api/tcp-monitors/11111111-1111-4111-8111-111111111111/alert-history" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Accept: application/json"

Beispiel-Antwort

{
  "data": [
    {
      "id": 987,
      "incidentId": 123,
      "type": "tcp",
      "status": "sent",
      "channelName": "Ops Slack",
      "channelType": "slack",
      "channelConfig": null,
      "sentAt": "2026-02-26T12:11:00.000Z",
      "errorMessage": null
    }
  ],
  "total": 1,
  "page": 1,
  "pageCount": 1
}

Jeder Eintrag ist ein Zustellversuch an einen Benachrichtigungskanal. status ist sent oder failed (bei Fehler ist errorMessage gesetzt); channelType ist der Kanaltyp (z. B. email, slack, opsgenie). Bei channelConfig sind Secrets geschwärzt.

Bei format=csv (oder download=1) ist die Response ein text/csv-Attachment (bzw. application/json bei format=json&download=1) anstelle der paginierten JSON-Antwort oben.

Häufige Fehler

  • 400 TCP monitor public ID (UUID) required wenn :tcpMonitorPublicId ungültig ist
  • 401 Unauthorized wenn du nicht angemeldet bist
  • 403 Forbidden wenn du keinen Zugriff auf den Monitor hast

Auf dieser Seite